﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.Common;

namespace FactorySample
{
    public partial class Update : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            DbConnection conn = Global.DbProvider.CreateConnection();
            conn.ConnectionString = System.Configuration.ConfigurationManager.ConnectionStrings["ConnectionString"].ToString();
            if (conn != null)
                conn.Open();
            DbCommand cmd = Global.DbProvider.CreateCommand();
            cmd.CommandText = "update Thing set name=@name where id=@id";
            cmd.Connection = conn;
            DbParameter paramId = Global.DbProvider.CreateParameter();
            paramId.ParameterName="id";
            paramId.DbType=DbType.Int32;
            paramId.Value=TextBox1.Text;
            DbParameter paramName = Global.DbProvider.CreateParameter();
            paramName.ParameterName = "name";
            paramName.DbType = DbType.String;
            paramName.Value = TextBox2.Text;
            cmd.Parameters.Add(paramName);
            cmd.Parameters.Add(paramId);
            cmd.ExecuteNonQuery();
            conn.Close();
            Response.Redirect(".\\Query.aspx");
        }
    }
}
